Collections

Collections API

1.0.0OAS 3.1
API Base URL
  • Server 1:https://{your-bynder-domain}/
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://{your-auth-url}

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • COLLECTIONS -
  • INBOXPUBLIC - To retrieve collections other users shared/received
  • OUTBOXPUBLIC - To retrieve collections other users shared/received
  • PUBLICCOLLECTIONS - To retrieve collections other users created
  • PUBLISHCOLLECTIONS -
  • SHARECOLLECTION -
  • SHARING -
  • collection.public.view - To retrieve public collections

Client Credentials OAuth Flow

Token URL: https://{your-bynder-domain}/v6/authentication/oauth2/token

Scopes:

  • COLLECTIONS -
  • INBOXPUBLIC - To retrieve collections other users shared/received
  • OUTBOXPUBLIC - To retrieve collections other users shared/received
  • PUBLICCOLLECTIONS - To retrieve collections other users created
  • PUBLISHCOLLECTIONS -
  • SHARECOLLECTION -
  • SHARING -
  • collection.public.view - To retrieve public collections
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Collections

Retrieve collections

Retrieve a list of collections.

get
https://{your-bynder-domain}/api/v4/collections

Query Parameters

limitinteger

Default:50

<= 1000

pageinteger

Default:1

orderBystring

Allowed values:dateCreated ascdateCreated descname ascname desc

idsstring

Example:00000000-0000-0000-0000000000000000,00000000-0000-0000-0000000000000000

countboolean

Default:false

keywordstring

Example:Amsterdam

isPublicboolean

Default:false

minCountinteger

Default:0

Response

application/json

A list of collections.

collectionCountinteger

Example:2

coverobject
Show Child Parameters
dateCreatedstring

Example:March, 01 2017 10:49:12 +0000

dateModifiedstring

Example:March, 08 2017 14:17:37 +0000

descriptionstring

Example:Collection 1 with various assets.

filenamestring

Example:collection_1

idstring

Example:00B627BB-8054-44C0-A343FCF40BC790CD

isPublicboolean

Example:true

namestring

Example:Collection 1

userobject
Show Child Parameters
userIdstring

Example:48817BA7-2FC3-4A43-918761514D322C15

get/api/v4/collections
 
application/json